Bug 1666664 - The release payload image should have correct source repo and commit for images
Summary: The release payload image should have correct source repo and commit for images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Tim Bielawa
QA Contact: Wei Sun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-16 10:09 UTC by shahan
Modified: 2019-06-04 10:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:41:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:42:01 UTC

Description shahan 2019-01-16 10:09:15 UTC
Description of problem:
The release payload image should have correct source repo and commit for images.

Version-Release number of selected component (if applicable):

$ oc get clusterversion
NAME      VERSION     AVAILABLE   PROGRESSING   SINCE     STATUS
version   4.0.0-0.1   True        False         7h        Cluster version is 4.0.0-0.1

$ oc get clusterversion -o yaml |grep payload |uniq
      payload: quay.io/openshift-release-dev/ocp-release@sha256:66cee7428ba0d3cb983bd2a437e576b2289e7fd5abafa70256200a5408b26644
How reproducible:
Always

Steps to Reproduce:
1. $ oc adm release info registry.svc.ci.openshift.org/ocp/release:4.0.0-0.nightly-2019-01-15-010905 --commits
   $ oc adm release info quay.io/openshift-release-dev/ocp-release@sha256:66cee7428ba0d3cb983bd2a437e576b2289e7fd5abafa70256200a5408b26644 --commits

2. check commit for image, such as console 
3.

Actual results:
1. $ oc adm release info registry.svc.ci.openshift.org/ocp/release:4.0.0-0.nightly-2019-01-15-010905 --commits
Name:      4.0.0-0.nightly-2019-01-15-010905
Digest:    sha256:bcfba3a40b8c30738475aa71743348df38df5a59820c7f6aaaea0644e830ed54
Created:   2019-01-15 09:09:19 +0800 CST
OS/Arch:   linux/amd64
Manifests: 189

Release Metadata:
  Version:  4.0.0-0.nightly-2019-01-15-010905
  Upgrades: <none>

Images:
  NAME                                          REPO                                                      COMMIT 
  aws-machine-controllers                                                                                 0d0edb2f2ed8984edd989bf99935e1be4c31c1e6
  cli                                                                                                     92ab6d1f466db418bf52196615dc3544dbf375f0
  cluster-authentication-operator                                                                         500a6f4e00ff5c98d45ae5cf370a36e8c6a192f2
  cluster-autoscaler-operator                                                                             c043cb009f04e345cee80714ad9def1fce6ae50b
  cluster-bootstrap                                                                                       e0af13e4115843642aef333148aa5eb9a5e8814d
  cluster-dns-operator                                                                                    9935ee28421209c27186c83072a5cfe2948d3ef0
  cluster-image-registry-operator                                                                         ca6f57ed5335e6f27def563d03e05a82db32296f
  cluster-ingress-operator                                                                                662bac9c58518893b29fe8aba0d0e17e4ecb26c8
  cluster-kube-apiserver-operator                                                                         a60b47e346339cf7ddd9d5c929c74682983a7da6
  cluster-kube-controller-manager-operator                                                                188aa54edc626d8cf93b21d39bb79759a80054f4
  cluster-kube-scheduler-operator                                                                         a497684c6c50fa616fb1524e1ae4bebde9c04a7c
  cluster-machine-approver                                                                                d1dad88f41c665d3dc5c70068bd9703d8646a4b7
  cluster-monitoring-operator                                                                             9e3a46ba9f8fb560e5655cdf020bc261791660e2
  cluster-network-operator                                                                                8c2277485f81016818de0964c2f9a571aaf2f293
  cluster-node-tuned                                                                                      50c77f465c476ad5f35c8f4696f83218d49f271b
  cluster-node-tuning-operator                                                                            e4aecc5d9f949824efa25badd2bc125c098d3574
  cluster-openshift-apiserver-operator                                                                    4eedab2d72ae5391c69834a8704a15a4dd1bc794
  cluster-openshift-controller-manager-operator                                                           65351d2388b61a012b90cae3befa4ca034d1389a
  cluster-samples-operator                                                                                17aa1e7fd82c3d25ed3e4b2bb08fd8d09160e557
  cluster-storage-operator                                                                                d70b10856f7f538844b0604191f2cf858f67517f
  cluster-version-operator                                                                                2fb1fd88e9bbfe00d69c6907805cdfd75e45811a
  configmap-reload                                                                                        6de9d11bf39350bf20c844ea7cc20e15d2e06638
  console                                                                                                 f871de84d993327ecc723846bbac3959a36103c1
  console-operator                                                                                        fc525807811c77406c747398bd277f639f3e260a
  coredns                                                                                                 2219dd31d691633523074e56032ff52e8db59c2d
  deployer                                                                                                fe79417b43ca76e560ee122bf913ffe0f884eb45
  docker-builder                                                                                          9e02d1ed68ebda52afc752c295cd1d99da8602ab
  docker-registry                                                                                         688ec6a8f76ffbbac4b10b38d540ec8fefc5a3eb
  grafana                                                                                                 7fa5fed6ef16b3628ab4e08a06fa376e2b1949c4
  haproxy-router                                                                                          5184da1297ce076c470832709c05cac47c7824ea
  hyperkube                                                                                               4b06c4952670c792766dddc6fefdfe4a7206d3a7
  hypershift                                                                                              5335d7c2afdfdff6344334b8313387796fcd7d2d
  installer                                                                                               751d4516f099b5ac2ecd9e6c153ec94d8878d2e5
  k8s-prometheus-adapter                                                                                  14cf960b4c6970b7e2b7f0bb0821a18774638caf
  kube-rbac-proxy                                                                                         fdfee202b4cc6118e80e34360382c497c5402dbc
  kube-state-metrics                                                                                      69429d66506284884246232d3834dcc0f771a72f
  libvirt-machine-controllers                   https://github.com/openshift/cluster-api-provider-libvirt 578f31e59e4464d421aa2504c8e9f6ad7512ac31
  machine-api-operator                                                                                    af25c680bc086df479d790cc60eba9f1ca3dc57a
  machine-config-controller                                                                               78b07fca253655b1fc06203a75d7076595da092f
  machine-config-daemon                                                                                   c99ba92c803cecd39747c60fc5ff023515c3bb81
  machine-config-operator                                                                                 50652a4205a85b2eb5660254a67735e67f65e8bb
  machine-config-server                                                                                   433b3676a9daf9923aae6754f1252cfa7f256bd3
  node                                                                                                    6140a3b6c9a7522054d4f19dbda4024b389eaada
  oauth-proxy                                                                                             1416f931f738920a5495fe95b5e8108a903255c1
  openstack-machine-controllers                                                                           e7228e6dbd37e16bb8fd675ac4968818655a76b2
  operator-lifecycle-manager                                                                              54a541d82818a14eafa4af433d7360b4c65bbcce
  operator-marketplace                                                                                    d2e91a324a9809eff9c02f3aa53cc0ead77c7b9d
  prom-label-proxy                                                                                        8f1204ac435384c7bcf2ff5ca44435d9b763af42
  prometheus                                                                                              1c58b23a1c8aa1eb66dfe4979bd189b06acfc585
  prometheus-alertmanager                                                                                 1e8e682b23de6a873cc0cb1380f21eb6950d28b1
  prometheus-config-reloader                                                                              a724576c6c41fbf2f6d70abb84430f096ba07147
  prometheus-node-exporter                                                                                1cb6a09aba17e4e31a9b9a625df6271ad4db1f4e
  prometheus-operator                                                                                     32df1973aa60e137e328348fbd65c1a1c4dd13ae
  service-serving-cert-signer                                                                             92bd6240bb700324f0cb95d880aeec62e45dda37
  telemeter                                                                                               38df05a9ee07d73630c9ae97bb10788f3e09d857

2. [hasha@fedora_pc ~/go/src/github.com/openshift/console]$ git log f871de84d993327ecc723846bbac3959a36103c1
fatal: bad object f871de84d993327ecc723846bbac3959a36103c1


Expected results:
1-2. should have the source repo and correct commit for all images


Additional info:

Comment 1 Liang Xia 2019-01-28 08:42:45 UTC
Most of the images are fixed, except one machine-os-content 


+ oc adm release info quay.io/openshift-release-dev/ocp-release@sha256:8580a118ce951dd241e4a4b73a0e5f4cda3b56088b6c1ab56ccadbf8e270fb1d --commits
Name:      4.0.0-0.2
Digest:    sha256:8580a118ce951dd241e4a4b73a0e5f4cda3b56088b6c1ab56ccadbf8e270fb1d
Created:   2019-01-28 01:08:50 +0800 CST
OS/Arch:   linux/amd64
Manifests: 205

Release Metadata:
  Version:  4.0.0-0.2
  Upgrades: 4.0.0-0.1

Images:
  NAME                                          REPO                                                                       COMMIT 
  aws-machine-controllers                       https://github.com/openshift/cluster-api-provider-aws                      acf4a8e03420aa0981b3bd2d702d039e0d499e62
  cli                                           https://github.com/openshift/ose                                           8868a98a7b7aff5d8fccb0ed52ae949028aea980
  cloud-credential-operator                     https://github.com/openshift/cloud-credential-operator                     94ce2075731d1d031f0e36664e49887c13c75ca5
  cluster-authentication-operator               https://github.com/openshift/cluster-authentication-operator               b23c71e65120ba2cb3df2ddf88c3043c822fe3bb
  cluster-autoscaler                            https://github.com/openshift/kubernetes-autoscaler                         3ce44067a527c630cbb3e94238f56b13cb7309ef
  cluster-autoscaler-operator                   https://github.com/openshift/cluster-autoscaler-operator                   0fa0e9f80bafea9e3628a395a70b39b00b4e0f0e
  cluster-bootstrap                             https://github.com/openshift/cluster-bootstrap                             b2958a5ad08dccb95fc26b82a36a71ef94e8860a
  cluster-dns-operator                          https://github.com/openshift/cluster-dns-operator                          09db369d76607a1720e6f5b84876b2e4754efda3
  cluster-image-registry-operator               https://github.com/openshift/cluster-image-registry-operator               cf9dbe900efc2894d4596189636f88f89e1f1fb6
  cluster-ingress-operator                      https://github.com/openshift/cluster-ingress-operator                      9fb155fe7aa514bc2dc4d1e6bc2672974ba6ee34
  cluster-kube-apiserver-operator               https://github.com/openshift/cluster-kube-apiserver-operator               82dc056f6587d9dae92aaecdc468fbb6b9485f4e
  cluster-kube-controller-manager-operator      https://github.com/openshift/cluster-kube-controller-manager-operator      60b2466806a12f34e8ecb09609f03c9c9ee7a684
  cluster-kube-scheduler-operator               https://github.com/openshift/cluster-kube-scheduler-operator               fad00cc42cae5a474374d284cce0d8067ac3ee66
  cluster-machine-approver                      https://github.com/openshift/cluster-machine-approver                      2fbc6a6b2b4dd37e953aeb8331dc4edc17ead993
  cluster-monitoring-operator                   https://github.com/openshift/cluster-monitoring-operator                   0d9ba8c0a871fb9e62085effce5e10fa4511342d
  cluster-network-operator                      https://github.com/openshift/cluster-network-operator                      b8df8c855c0e90088128721f73100c93a6e12ee8
  cluster-node-tuned                            https://github.com/openshift/openshift-tuned                               278ee72d9c6d5302c00ee83356d0574c63c26e3d
  cluster-node-tuning-operator                  https://github.com/openshift/cluster-node-tuning-operator                  26f4df9fe7dac567012692a737b7ed8f6fcc4ed2
  cluster-openshift-apiserver-operator          https://github.com/openshift/cluster-openshift-apiserver-operator          795aab09684e618bf708a609835dfa7241dbc7e3
  cluster-openshift-controller-manager-operator https://github.com/openshift/cluster-openshift-controller-manager-operator 24b989464bf1c73681937b11612dd23d613a82b8
  cluster-samples-operator                      https://github.com/openshift/cluster-samples-operator                      9a25c52770dff8f8795ddc08f4258ffe83d21e40
  cluster-storage-operator                      https://github.com/openshift/cluster-storage-operator                      4e8432623780ee2bdfd16aa88d81d0a6285d43ee
  cluster-version-operator                      https://github.com/openshift/cluster-version-operator                      d2914283326951a6a6035a42b4b9194aa9105bbf
  configmap-reloader                            https://github.com/openshift/configmap-reload                              3c2f85724078cbf7ffab56886ff32d677c386afe
  console                                       https://github.com/openshift/console                                       5070df1f11d481f36152c0218f209a085eed9d64
  console-operator                              https://github.com/openshift/console-operator                              a51b9706c117b0c9c2b3dbf71cbeafa62fed2c40
  coredns                                       https://github.com/openshift/coredns                                       4fbb9ba6d2abd35c97d0485d7fa9ac8f039477cf
  deployer                                      https://github.com/openshift/ose                                           8868a98a7b7aff5d8fccb0ed52ae949028aea980
  docker-builder                                https://github.com/openshift/builder                                       918f4590f10bc644bd0e2d8a481469410bb825d6
  docker-registry                               https://github.com/openshift/image-registry                                c255e4fffc72084b9c6462277265e432e200435b
  grafana                                       https://github.com/openshift/grafana                                       58efe0ebed5c2811d413833efaa36057f0f07b6b
  haproxy-router                                https://github.com/openshift/router                                        088ca0acf431563a881653eb5fb301d2e03634e4
  hyperkube                                     https://github.com/openshift/ose                                           8868a98a7b7aff5d8fccb0ed52ae949028aea980
  hypershift                                    https://github.com/openshift/ose                                           8868a98a7b7aff5d8fccb0ed52ae949028aea980
  installer                                     https://github.com/openshift/installer                                     7af6b141c34dd133f104b61b64c78d82e57f3d52
  k8s-prometheus-adapter                        https://github.com/openshift/k8s-prometheus-adapter                        19f9a956abcf670c44b2d49ed90cc337d94b4b9d
  kube-rbac-proxy                               https://github.com/openshift/kube-rbac-proxy                               5d1c2ab8971d0152afce29b1386dc3ddb6b083ce
  kube-state-metrics                            https://github.com/openshift/kube-state-metrics                            2ab51c9f341799107ffbf7f373ab55254dc044d0
  libvirt-machine-controllers                   https://github.com/openshift/cluster-api-provider-libvirt                  578f31e59e4464d421aa2504c8e9f6ad7512ac31
  machine-api-operator                          https://github.com/openshift/machine-api-operator                          e71cdb9a7b8da7f9939a491d2bb5115436576b5b
  machine-config-controller                     https://github.com/openshift/machine-config-operator                       faed52ed984861346caee8e775e59a6bbc7feb34
  machine-config-daemon                         https://github.com/openshift/machine-config-operator                       faed52ed984861346caee8e775e59a6bbc7feb34
  machine-config-operator                       https://github.com/openshift/machine-config-operator                       faed52ed984861346caee8e775e59a6bbc7feb34
  machine-config-server                         https://github.com/openshift/machine-config-operator                       faed52ed984861346caee8e775e59a6bbc7feb34
  machine-os-content                                                                                                       
  node                                          https://github.com/openshift/ose                                           dde478551e6c40b4e2fbcc498dd82e76bd527882
  oauth-proxy                                   https://github.com/openshift/oauth-proxy                                   4086fa3f4d855c4a1f701edc4629b00e9366e515
  openstack-machine-controllers                 https://github.com/openshift/cluster-api-provider-openstack                b6493b9ac2150bde5a6287275ebb4245f899db75
  operator-lifecycle-manager                    https://github.com/operator-framework/operator-lifecycle-manager           1e295784b30a7d54eb2db82b99a9c6307133ebbf
  operator-marketplace                          https://github.com/operator-framework/operator-marketplace                 486b6741877a14e79a08fd00358e1e2b4af3a4c4
  prom-label-proxy                              https://github.com/openshift/prom-label-proxy                              25cad3e5afeb46270e9f6ad08dcf427388f31555
  prometheus                                    https://github.com/openshift/prometheus                                    41e87f1bb0d0c2fa530417ba27008fa25b74f5e9
  prometheus-alertmanager                       https://github.com/openshift/prometheus-alertmanager                       34c1125ea2733dcec85e4ce836081ffb307de5ec
  prometheus-config-reloader                    https://github.com/openshift/prometheus-operator                           f8a0aa170bf81ef70e16875053573a037461042d
  prometheus-node-exporter                      https://github.com/openshift/node_exporter                                 f248b582878226c8a8cd650223cf981cc556eb44
  prometheus-operator                           https://github.com/openshift/prometheus-operator                           f8a0aa170bf81ef70e16875053573a037461042d
  service-serving-cert-signer                   https://github.com/openshift/service-serving-cert-signer                   84f0c332a50bb20d7185aa6306f0e080b3c743d0
  telemeter                                     https://github.com/openshift/telemeter                                     2237318f746c63d4a6b848f38aa99c92d1d26b49

Comment 3 shahan 2019-02-21 02:34:03 UTC
[hasha@fedora_pc ~]$ oc adm release info registry.svc.ci.openshift.org/ocp/release:4.0.0-0.nightly-2019-02-19-024716
Name:      4.0.0-0.nightly-2019-02-19-024716
Digest:    sha256:5e98b253790b4bf0aa332dd044695e4f1a76a728c04ba2bd926d5fbc79cf2549
Created:   2019-02-19 10:56:13 +0800 CST
OS/Arch:   linux/amd64
Manifests: 228

Release Metadata:
  Version:  4.0.0-0.nightly-2019-02-19-024716
  Upgrades: <none>

Images:
  NAME                                          DIGEST
  aws-machine-controllers                       sha256:382c8971f0b4ce87df45f6e64811a77261cd0da6d821ec452577db1195d58a8c
  cli                                           sha256:d23286ab1376ebb8b8c87309d5b33afd0f062096904415911f37b12f749919fe
  cloud-credential-operator                     sha256:5e528cafdfc6d1e4e64c14d57b22184f8c81933f427a3e78acd7945024e2d0a2
  cluster-authentication-operator               sha256:7e38b9da783e2e466f72049a7cecaa1ec98849025e8db28dc4baac2dd8902df8
  cluster-autoscaler                            sha256:40f75e371d95d9f5c265b21dfb04fd8f058d88f11d5fc84dbab675281098abe9
  cluster-autoscaler-operator                   sha256:9d8260f6b8138f883fc4b8ad31aea8f1b764aab917a4f1694ee0a5f2e0474ce5
  cluster-bootstrap                             sha256:dab9efbe18adbae83bd38b871fd2ecc314587337e1429594eb600a3788568825
  cluster-config-operator                       sha256:cc932adc72d4a28ceba8e0d4c287ceca88753d98b21c758898b6c67a7338d72b
  cluster-dns-operator                          sha256:54327bcd46f2212d9ae6bfe6529e522c0579c1acb8d30ae7be6a06a9b3594ca4
  cluster-image-registry-operator               sha256:1ebbc11bc0e95122fbd397da7cb16b8519eb528875fc9dd2ff1a5660d0f71279
  cluster-ingress-operator                      sha256:7d85172b27b30eb25a8573ee20badb5b7f36c7ca0f6d98cd4b848e40e2901607
  cluster-kube-apiserver-operator               sha256:3a099e5939d9eb236b9c6a7aa76ee5d049636081d28396f2d8d5446c600fca4f
  cluster-kube-controller-manager-operator      sha256:483274ed9ea841797a92d10e7651d07c95d7cd5cfbc58aeac0e7d5876966e5a9
  cluster-kube-scheduler-operator               sha256:0fec700159621fcc7ef8875d1ce026286b4e7e0e2d411eb2e27f49f0d400a073
  cluster-machine-approver                      sha256:0330f504ea97590982e0c2d478dbe6ae535a66b7f91b4bd09ad7eb092c0b1794
  cluster-monitoring-operator                   sha256:534a71a355e3b9c79ef5a192a200730b8641f5e266abe290b6f7c6342210d8a0
  cluster-network-operator                      sha256:ecf1acf290af7e1d527cd2c80f827ce168e5f8611687b22be4b6467f9a4061bf
  cluster-node-tuned                            sha256:c76ee425fc10e0717a8033c32652f3540b5262b64d633ba1b4c44f7d4b87c21c
  cluster-node-tuning-operator                  sha256:bd1444b756662e2c9288f0297cba3aa95e8650c45112d18abfa9c08e8a6b2ba5
  cluster-openshift-apiserver-operator          sha256:98b35df48410f71ec547671a4dbca5b3d85eb80529c8b7cd35aa5c5693f31fbe
  cluster-openshift-controller-manager-operator sha256:025792f4a314aefbe9e7d82b1438dc834b218949806dac361e51a0869988308a
  cluster-samples-operator                      sha256:39e76acd420d11435ad97fda0c1f72390693fc1d5ac7bee01a11975b4da74618
  cluster-storage-operator                      sha256:ceb2ce4a48bf8eeb2a6f7d4b392395cfb93aa4c76d1cfcad76ad9acd2c2c1ff4
  cluster-version-operator                      sha256:6a6499f0faa4c9f6a90e325466a74cb82701b8159cac9ff91b6f78e40084cee4
  configmap-reloader                            sha256:037fa98f23ff812b6861675127d52eea43caa44bb138e7fe41c7199cb8d4d634
  console                                       sha256:6296f74a195dc737b11ffbc3cb8fb5bbc23d55ecf63cacf27a8d85b8f13e3900
  console-operator                              sha256:b325482cd352e623f2c4b275594bf810678ed0d32d9375ea6e18f9f8de01738b
  container-networking-plugins-supported        sha256:e18013aa397cbe6d5c7fe1424ae0522107f8c374fa9a391f3abe958224622b1c
  container-networking-plugins-unsupported      sha256:7be5cb97f2bf638f8e7bea6413de2377bd62951ba6dcde010b842a25c6f77091
  coredns                                       sha256:e232682db9a8aa1298d91b577e88081788408b90e9e552e664a468e33c9fad82
  deployer                                      sha256:a22e75052b67417ecf37c48266f4f97efbe3d4af6dc844966dda50916e6c5304
  docker-builder                                sha256:ae1f10d19fd0d3bc20d1e1ab17e4ebd6adc0328f46c5caee8bf250cd5be71f5f
  docker-registry                               sha256:75a79292e8791cf6bc1d9217f0e25d6c19bc2c3e2cdc94ef2268fba874152000
  etcd                                          sha256:69187b4e54f9d67783553628c28e8b099b4aa5f0f13752979358d7871ff285c4
  grafana                                       sha256:b40e8d5b4717bfe3d19c49417389bfabf2a0b88c53d8fd6f079dfcfaed1ee077
  haproxy-router                                sha256:8e402cdc5cd48329629842b0aee8e869c76ce649b0bfe2d16a055fbd6a13d71c
  hyperkube                                     sha256:2f575b4c1b247a1d1bd6a4cb80a0ec6c5abdba8987b0d31f3c58a9c6e3237a57
  hypershift                                    sha256:7003bda8d172d339dd41a9bf35e64ff9ff55860c6811d270b732c0e449934a8c
  installer                                     sha256:59728f53e69ee659cc7170e2a07fabd34403b47db97ea5c61d70c6c183bcc76a
  jenkins                                       sha256:fd37e341d813b930fc59b7136ea1136e3a3acf944f11fa004d1407e3776d52c4
  jenkins-agent-maven                           sha256:cf6ea53508b7c8f93d6022af6d15b67a403b5c3ee4fc9c7bd7b00b15eb324885
  jenkins-agent-nodejs                          sha256:51f257361117bb803eb87fecc5147de019307f5a0b9eba519c10e8820a5cc1c8
  k8s-prometheus-adapter                        sha256:ee79721af3078dfbcfaa75e9a47da1526464cf6685a7f4195ea214c840b59e9f
  kube-rbac-proxy                               sha256:451274b24916b97e5ba2116dd0775cdb7e1de98d034ac8874b81c1a3b22cf6b1
  kube-state-metrics                            sha256:36f168dc7fc6ada9af0f2eeb88f394f2e7311340acc25f801830fe509fd93911
  libvirt-machine-controllers                   sha256:e396535b1f2dd7bfdd57aa1590cde41ffffc443da93082938a40fc7145d721f2
  machine-api-operator                          sha256:fc45ace3432001e1ce8434102344be7363e62b5d7b54873c33d292d46ef20258
  machine-config-controller                     sha256:11c546f5ccb4c912560aec03726afbb349b668138a04797c4dcdae2d72ec91c5
  machine-config-daemon                         sha256:f9115b3b2246b8b2b098fa7a2d2647bddd31da85968fe6920a9e0f2f1c8ae19a
  machine-config-operator                       sha256:a344b8f9655cd1a98dd3c2a30d1341ba50f1c6ec28a7490440eca0b21ca0549b
  machine-config-server                         sha256:061f570a30534492abc17e539cd327edca1688594c4101e825586198df3f0a25
  machine-os-content                            sha256:660061d6eae3ee6d93ca836cd52e6033f1d611c629c1ce47cf272c9e9bda2488
  multus-cni                                    sha256:d696df5655e9801d067c2e1d48906febe346e16a4de38660f4a4594dd6fe0146
  node                                          sha256:bb02a0e47685c18b01953ad23e70b8d5b8614b342e7046a1413ace595f1ad508
  oauth-proxy                                   sha256:1170726c29e315a9d13bd72ed77a3a58af115dca926810f1f5dea3106e4248a7
  openstack-machine-controllers                 sha256:c8bd0ac8ac00283bbb17fc131d89a89696a49899796a49362b32c1fcf8045e17
  operator-lifecycle-manager                    sha256:a8ca6bf86ff96fc7487ed4d80b7d8f9fa51c6a0fbc3b6ec95b3e73ea2f7fdf2a
  operator-marketplace                          sha256:fa1bfe505ba77054fd42aa8d2af7094dbe3a19242639e18b6924b564f583799a
  operator-registry                             sha256:dc8d7a1643d443febdb866820fb555fc0ce19e072ebe2cdfd16bb02f5c006384
  prom-label-proxy                              sha256:8675adb4a2a367c9205e3879b986da69400b9187df7ac3f3fbf9882e6a356252
  prometheus                                    sha256:ba01869048bf44fc5e8c57f0a34369750ce27e3fb0b5eb47c78f42022640154c
  prometheus-alertmanager                       sha256:5bc582cfbe8b24935e4f9ee1fe6660e13353377473e09a63b51d4e3d24a7ade3
  prometheus-config-reloader                    sha256:31905d24b331859b99852c6f4ef916539508bfb61f443c94e0f46a83093f7dc0
  prometheus-node-exporter                      sha256:6cb6cd27a308c2ae9e0c714c8633792cc151e17312bd74da45255980eabf5ecf
  prometheus-operator                           sha256:5b4ba55ab5ec5bb1b4c024a7b99bc67fe108a28e564288734f9884bc1055d4ed
  service-serving-cert-signer                   sha256:0ef1a25d99b76155c28448412b2c71451db07074b2097257b768a1dd08c8a0ff
  setup-etcd-environment                        sha256:ce62112d6d9a8522b6d4805dfbc1df30bc096bbddefd68d359bda74276a1fee5
  telemeter                                     sha256:9021d3e9ce028fc72301f8e0a40c37e488db658e1500a790c794bfd38903bef1
  tests                                         sha256:30f508eca801a5b5c8b455eb1330a5dd62f4c1b6f1b09660ffb847d3ecb65e70

Verified this bug
cluster payload: 4.0.0-0.nightly-2019-02-19-024716
oc v4.0.0-0.177.0

Comment 4 shahan 2019-02-21 02:41:36 UTC
please ignore above comments:

[hasha@fedora_pc ~]$ oc adm release info registry.svc.ci.openshift.org/ocp/release:4.0.0-0.nightly-2019-02-19-024716 --commits 
Name:      4.0.0-0.nightly-2019-02-19-024716
Digest:    sha256:5e98b253790b4bf0aa332dd044695e4f1a76a728c04ba2bd926d5fbc79cf2549
Created:   2019-02-19 10:56:13 +0800 CST
OS/Arch:   linux/amd64
Manifests: 228

Release Metadata:
  Version:  4.0.0-0.nightly-2019-02-19-024716
  Upgrades: <none>

Component Versions:
  Kubernetes 1.12.4

Images:
  NAME                                          REPO                                                                       COMMIT 
  aws-machine-controllers                       https://github.com/openshift/cluster-api-provider-aws                      57f3ee8bd749cc7522252302b38624fc8d762891
  cli                                           https://github.com/openshift/ose                                           6a9f178753a82a73858ef45e236f61ae02c08de8
  cloud-credential-operator                     https://github.com/openshift/cloud-credential-operator                     3491dbfe990c310ca49f13c13d203e5ba0e75ae8
  cluster-authentication-operator               https://github.com/openshift/cluster-authentication-operator               3feccf15b61d1fd34eac2fe3328c089c27dfd369
  cluster-autoscaler                            https://github.com/openshift/kubernetes-autoscaler                         1e8e1928ef9481e7364a05631a52f522ed1b65da
  cluster-autoscaler-operator                   https://github.com/openshift/cluster-autoscaler-operator                   590c86073bc48e58ebfa27c794f786c8bfc9c205
  cluster-bootstrap                             https://github.com/openshift/cluster-bootstrap                             bc5caf5e7c2671db6e76699e6b04e8948d8fe424
  cluster-config-operator                       https://github.com/openshift/cluster-config-operator                       aa1805e73138deabbfa57772170f310e2f3097cd
  cluster-dns-operator                          https://github.com/openshift/cluster-dns-operator                          0d6945cfc0c0d6cb1a118d9afdcb348d7357c326
  cluster-image-registry-operator               https://github.com/openshift/cluster-image-registry-operator               f0892b414be2e8a967f3833a33dd8a47e69e5282
  cluster-ingress-operator                      https://github.com/openshift/cluster-ingress-operator                      b5cef3ee9a03a50ec76445f755bf11f44e5ee4b7
  cluster-kube-apiserver-operator               https://github.com/openshift/cluster-kube-apiserver-operator               daba3bca6639520b4b09996461b444ec58d3d9ca
  cluster-kube-controller-manager-operator      https://github.com/openshift/cluster-kube-controller-manager-operator      6abc794cea23f25b03ca8571092d1e05719d7bf1
  cluster-kube-scheduler-operator               https://github.com/openshift/cluster-kube-scheduler-operator               d6f4084c16f831400f8667a3d8728c81933eecbc
  cluster-machine-approver                      https://github.com/openshift/cluster-machine-approver                      2fbc6a6b2b4dd37e953aeb8331dc4edc17ead993
  cluster-monitoring-operator                   https://github.com/openshift/cluster-monitoring-operator                   49fe2fd300ca8ae1a45a3bdf54b9c487cfdfef18
  cluster-network-operator                      https://github.com/openshift/cluster-network-operator                      78900b5b9af2b00f42fdb85fb15f02bcb1f7aa75
  cluster-node-tuned                            https://github.com/openshift/openshift-tuned                               278ee72d9c6d5302c00ee83356d0574c63c26e3d
  cluster-node-tuning-operator                  https://github.com/openshift/cluster-node-tuning-operator                  4f7f32e19154396b2434c8fc03a80d0519769d3d
  cluster-openshift-apiserver-operator          https://github.com/openshift/cluster-openshift-apiserver-operator          39d1db00f6b352fc5e0d375085aa88a7d9ce6103
  cluster-openshift-controller-manager-operator https://github.com/openshift/cluster-openshift-controller-manager-operator 80c206a4c8f9939000a73d687873f97958a6faa8
  cluster-samples-operator                      https://github.com/openshift/cluster-samples-operator                      69362431c5160cbaee62a67da9c9586a5999a013
  cluster-storage-operator                      https://github.com/openshift/cluster-storage-operator                      7dc882743a594d7c95cb0e6288803cbaf9de5a5b
  cluster-version-operator                      https://github.com/openshift/cluster-version-operator                      93d4eff7a3f4aad8505702d875bb7169e294d221
  configmap-reloader                            https://github.com/openshift/configmap-reload                              3c2f85724078cbf7ffab56886ff32d677c386afe
  console                                       https://github.com/openshift/console                                       9bfcbc6e2f9a08a90207661dac14b11a6e99d1b8
  console-operator                              https://github.com/openshift/console-operator                              85834b8cee869e95c539b54d557b51b3ee769444
  container-networking-plugins-supported        https://github.com/openshift/ose-containernetworking-plugins               f6a58dcec62ca740305a58a0a6b008c5e57b8943
  container-networking-plugins-unsupported      https://github.com/openshift/ose-containernetworking-plugins               f6a58dcec62ca740305a58a0a6b008c5e57b8943
  coredns                                       https://github.com/openshift/coredns                                       fbcb8252a1bab3d32ecf2dd3307f798aacd0280e
  deployer                                      https://github.com/openshift/ose                                           1d3f7e4c760ef239f3a15349eae876635786877e
  docker-builder                                https://github.com/openshift/builder                                       1a77d837d8d74d5dcb6f8afcadb082629b04883e
  docker-registry                               https://github.com/openshift/image-registry                                e4e4aaa675cb6fd6ec6fc8490caee6731fb21ba3
  etcd                                          https://github.com/openshift/etcd                                          2f10964791760166a32f27f89e9f806fd293bad0
  grafana                                       https://github.com/openshift/grafana                                       58efe0ebed5c2811d413833efaa36057f0f07b6b
  haproxy-router                                https://github.com/openshift/router                                        088ca0acf431563a881653eb5fb301d2e03634e4
  hyperkube                                     https://github.com/openshift/ose                                           6a9f178753a82a73858ef45e236f61ae02c08de8
  hypershift                                    https://github.com/openshift/ose                                           6a9f178753a82a73858ef45e236f61ae02c08de8
  installer                                     https://github.com/openshift/installer                                     54506be98cff773ed6ef60b18db0e26d9f7f618f
  jenkins                                       https://github.com/openshift/jenkins                                       894eff00496ad2128e66a22da00318f40bfcd1e7
  jenkins-agent-maven                           https://github.com/openshift/jenkins                                       894eff00496ad2128e66a22da00318f40bfcd1e7
  jenkins-agent-nodejs                          https://github.com/openshift/jenkins                                       894eff00496ad2128e66a22da00318f40bfcd1e7
  k8s-prometheus-adapter                        https://github.com/openshift/k8s-prometheus-adapter                        815fa76bdbccfd5ee6da8f9fa45d039c4342dcdb
  kube-rbac-proxy                               https://github.com/openshift/kube-rbac-proxy                               3f271e0951f18276ec54e8eac936725d6d68e073
  kube-state-metrics                            https://github.com/openshift/kube-state-metrics                            2ab51c9f341799107ffbf7f373ab55254dc044d0
  libvirt-machine-controllers                   https://github.com/openshift/cluster-api-provider-libvirt                  7ff8b08f9045f0e42a17167a31670d7e6e51053b
  machine-api-operator                          https://github.com/openshift/machine-api-operator                          8500001eba01acae0bc56902cae0de13243fd4cf
  machine-config-controller                     https://github.com/openshift/machine-config-operator                       f97747550f42821725f2853b211cc48d4c0df42e
  machine-config-daemon                         https://github.com/openshift/machine-config-operator                       745693cd9d1d34b6718cb332a9eef575d8267c5b
  machine-config-operator                       https://github.com/openshift/machine-config-operator                       f97747550f42821725f2853b211cc48d4c0df42e
  machine-config-server                         https://github.com/openshift/machine-config-operator                       f97747550f42821725f2853b211cc48d4c0df42e
  machine-os-content                                                                                                       
  multus-cni                                    https://github.com/openshift/ose-multus-cni                                972a7d18c614f66856c2858e5a61b105b9e37979
  node                                          https://github.com/openshift/ose                                           1d3f7e4c760ef239f3a15349eae876635786877e
  oauth-proxy                                   https://github.com/openshift/oauth-proxy                                   d98a037cebf931450400f395c047f4d383061aea
  openstack-machine-controllers                 https://github.com/openshift/cluster-api-provider-openstack                72223dd98766953cfb361fce7a1dc7f1d56fd0d3
  operator-lifecycle-manager                    https://github.com/operator-framework/operator-lifecycle-manager           cce4af21efb662527a8f71d22f7f2c37007ea4bf
  operator-marketplace                          https://github.com/operator-framework/operator-marketplace                 57300a3ef3ba05ac639b1d8bbde60667b8222b61
  operator-registry                             https://github.com/operator-framework/operator-registry                    0531400c661ef7088d71b86ff5f52892f9407a1a
  prom-label-proxy                              https://github.com/openshift/prom-label-proxy                              25cad3e5afeb46270e9f6ad08dcf427388f31555
  prometheus                                    https://github.com/openshift/prometheus                                    6e5fb5dcb6a709bd20ea68cddc1abfcceb8a487d
  prometheus-alertmanager                       https://github.com/openshift/prometheus-alertmanager                       4617d5502332dc41c9c885cc12ecde5069191f73
  prometheus-config-reloader                    https://github.com/openshift/prometheus-operator                           f8a0aa170bf81ef70e16875053573a037461042d
  prometheus-node-exporter                      https://github.com/openshift/node_exporter                                 f248b582878226c8a8cd650223cf981cc556eb44
  prometheus-operator                           https://github.com/openshift/prometheus-operator                           f8a0aa170bf81ef70e16875053573a037461042d
  service-serving-cert-signer                   https://github.com/openshift/service-serving-cert-signer                   84f0c332a50bb20d7185aa6306f0e080b3c743d0
  setup-etcd-environment                        https://github.com/openshift/machine-config-operator                       0648af912decf4ebb7c7251bdbcf2ecb997bbc01
  telemeter                                     https://github.com/openshift/telemeter                                     e12aabe48460a1296c416c65cbbd3105339b0cac
  tests                                         https://github.com/openshift/ose                                           1d3f7e4c760ef239f3a15349eae876635786877e

Noted the machine-os-content still has no its source repo and commit, does it worked by design?

Comment 8 errata-xmlrpc 2019-06-04 10:41:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.